# CYapfFollowAnySafeTileRailT< Types > Class Template Reference

Inheritance diagram for CYapfFollowAnySafeTileRailT< Types >:

## Public Types

typedef Types::Tpf | Tpf
| the pathfinder class (derived from THIS class)
typedef Types::TrackFollower | TrackFollower
typedef Types::NodeList::Titem | Node
| this will be our node type
typedef Node::Key | Key
| key to hash tables

## Public Member Functions

void | PfFollowNode (Node &old_node)
| Called by YAPF to move from the given node to the next tile.
FORCEINLINE char | TransportTypeChar () const
| Return debug report character to identify the transportation type.
bool | FindNearestSafeTile (const Train *v, TileIndex t1, Trackdir td, bool override_railtype, bool dont_reserve)

## Static Public Member Functions

static bool | stFindNearestSafeTile (const Train *v, TileIndex t1, Trackdir td, bool override_railtype)

## Protected Member Functions

FORCEINLINE Tpf & | Yapf ()
| to access inherited path finder

## Detailed Description

### template<class Types>
class CYapfFollowAnySafeTileRailT< Types >

Definition at line 281 of file yapf_rail.cpp.

## Member Function Documentation

template<class Types >

void CYapfFollowAnySafeTileRailT< Types >::PfFollowNode | ( | Node & | old_node | ) | `[inline]`

Called by YAPF to move from the given node to the next tile.

For each reachable trackdir on the new tile creates new node, initializes it and adds it to the open list by calling Yapf().AddNewNode(n)

Definition at line 300 of file yapf_rail.cpp.

References CYapfFollowAnySafeTileRailT< Types >::Yapf().

The documentation for this class was generated from the following file:

- src/pathfinder/yapf/yapf_rail.cpp